image: node:latest

stages:          # List of stages for jobs, and their order of execution
  - test

api-testing-job:   # This job runs in the test stage.
  stage: test    # It only starts when the job in the build stage completes successfully.
  script:
    - echo "Installing dependencies..."
    - npm i
    - echo "Running api tests... This will be quick."
    - sleep 5
    - npm run test
  artifacts:
    when: always
    paths:
        - test/report/cucumber_report.html
